function [fid, fval] = formatparam(p, val)
% generic format for a parameter

% Below removed: we'll just try to deal with it

% can only show scalar, character values, or short numerical vectors
% canshow = ischar(val) || (isnumeric(val) && isscalar(val)) ...
%     || (isnumeric(val) && isvector(val) && length(val) < 10); 
% if ~canshow, fid = []; fval = []; return; end;

% replace fid by shortid if available
if isfield(p, 'shortid'), fid = p.shortid; 
else fid = p.id; 
end;
% choose format (custom if available)
if isfield(p, 'formatfun'),                 % use the custom format fun provided by the parameter
    fval = p.formatfun(val);
elseif ischar(val),                             % string
    if isfield(p, 'format'), format = p.format; 
    else format = '%s';    
    end;
    fval = sprintf(format, val);
elseif isnumeric(val) && isscalar(val),     % scalar number
    if isfield(p, 'format'), format = p.format; 
    else format = '%g';
    end;
    fval = sprintf(format, val);
    fval = fval(fval ~= '.');   % remove pt
elseif isnumeric(val) && isvector(val),     % short vector
    if isfield(p, 'format'), format = p.format; 
    else format = '%gx';
    end;
    fval = sprintf(format, val); fval = fval(1:end-1);
    fval = fval(fval ~= '.');   % remove pt
else 
    fval = [];
end;    
