function [ind, a] = nrbf_cutoff(x, N, c, rad, cutoff)
% Computes normalized RBF values with cutoff. Compatibility wrapper for nrbftrunc
%   [IND, A] = NRBF(X, N, C, RAD)
%
% Parameters:
%   X       - continuous variable (column vector of dimension p)
%   N       - number of basis functions
%   C       - centers of basis functions, one on each column, size p x N
%   RAD     - radii of basis functions, one on each column, size p x N
% Returns:
%   IND     - indices of activated RBFs
%   A       - activated, normalized RBF values for given X, 1xlength(IND)

[ind, a] = nrbftrunc(x, NB, c, rad, cutoff);

end
% END nrbf returning a ------------------------------------------------------
