% adhoc script to run one gridqi experiment on the DC motor
clear cfg;

if ~exist('dc_gridqi.mat'),
    cfg.problem = 'dc_problem';
    cfg.run = 1;
    cfg.eps = 1e-4;
    cfg.maxiter = 1000;
    cfg.gamma = .98;
    cfg.datafile = 'dc_gridqi';

    gridqi(cfg);
end;

clear cfg;
cfg.problem = 'dc_problem';
cfg.datafile = 'dc_gridqi';
cfg.replay = 1;
cfg.x0 = rand * [2*pi; 20*pi] - [pi; 10*pi];
cfg.tend = 1;
cfg.interph = 0;
cfg.silent = 1;

h = gridqi(cfg); plothistory(h);

% dc_plot('gridv plottarget=beamer savefig=vstar');
% dc_plot('gridh datafile=dc_gridqi plottarget=beamer savefig=gridh');

% Here is how to obtain a Q-matrix 
% Q(theta_box_index, thetadot_box_index, discrete_action_index)
load dc_gridqi theta DIMS
Q = reshape(theta, [DIMS.dimx, DIMS.dimu]);
