%% Main config 1 -- smaller gamma, smaller explordecay
ccfg = struct;
ccfg.problem = @edro_rtproblem;
ccfg.datadir = pwd;
% and learning settings
ccfg.gamma = .95;
ccfg.trialtime = 2;
ccfg.maxtime  = 200;
ccfg.alpha = .5;
ccfg.lambda = .3;
ccfg.explor = 1;
ccfg.explordecay = .95;
% reset 
ccfg.reset = 'randpos';
% stats settings
ccfg.verb = 5;
ccfg.eps = 0;

%% run discrete-action experiment
cfg = ccfg;
cfg.run = 1;
cfg.approx = 'enhanced type=rbfdisc N=[7,5] M=3';
cfg.datafile = 'test_rtapproxqlearn_edro_disc';
rtapproxqlearn(cfg);

%% run continuous-action + filter experiment
cfg = ccfg;
cfg.run = 1;
cfg.trialtime = 4;
cfg.maxtime  = 300;
cfg.approx = 'enhanced type=rbfortho N=[7,5] M=2';
cfg.system_params = {'ufilt=.25'};
cfg.datafile = 'test_rtapproxqlearn_edro_filt';
rtapproxqlearn(cfg);




%% Main config 2 -- larger gamma, explordecay so that after 50 trials explor=0.1
ccfg = struct;
syscfg = struct;

ccfg.problem = @edro_rtproblem;
ccfg.datadir = pwd;
% learning settings
ccfg.gamma = .98;
ccfg.trialtime = 2;
ccfg.maxtime  = 200;
ccfg.alpha = .5;
ccfg.lambda = .5;
ccfg.explor = 1;
ccfg.explordecay = .955;
% reset 
ccfg.reset = 'randpos';
% stats settings
ccfg.verb = 5;
ccfg.eps = 0;


%% main config 2, run baseline experiment
cfg = ccfg;
syscfg.xjoints = 5;
cfg.system_params = {syscfg};
cfg.run = 1;
cfg.approx = 'enhanced type=rbfdisc N=[11,5] M=3';
cfg.datafile = 'test_edro_rtapproxqlearn_jnt5_N11x5_noer';
rtapproxqlearn(cfg);

% Notes:
% 9x5 does not always work well, but 11x5 seems to do the trick


%% main config 2, run experience replay experiment
cfg = ccfg;
syscfg.xjoints = 5;
cfg.system_params = {syscfg};
cfg.run = 1;
cfg.er_type = 'randback';   % random selection of trajectory, transitions in backward order
cfg.er_N = 400;
cfg.approx = 'enhanced type=rbfdisc N=[7,5] M=3';
cfg.datafile = 'test_edro_rtapproxqlearn_jnt5_N7x5_er';
rtapproxqlearn(cfg);

% 7x5: ER seems to help






%% Main config 3 -- two joints, circle-following
ccfg = struct;
ccfg.problem = @edro_rtproblem;
ccfg.datadir = pwd;
% learning settings
ccfg.gamma = .98;
ccfg.trialtime = 5;
ccfg.maxtime  = 500;
ccfg.alpha = .5;
ccfg.lambda = .5;
ccfg.explor = 1;
ccfg.explordecay = .955;
% reset 
ccfg.reset = 'randpos';
% stats settings
ccfg.verb = 5;
ccfg.eps = 0;


%% run stabilization experiment, using ER
cfg = ccfg;
cfg.run = 1;
cfg.er_type = 'randback';   % random selection of trajectory, transitions in backward order
cfg.er_N = 500;
syscfg = struct;
syscfg.xjoints = [2 3];
syscfg.fixjoints = [4 5];
cfg.system_params = {syscfg};
cfg.approx = 'enhanced type=rbfdisc N=[9,5,9,5] M=3';
cfg.datafile = 'test_edro_rtapproxqlearn_jnt2x3_N9x5x9x5_er';
rtapproxqlearn(cfg);


%% run circle-following experiment, using ER
cfg = ccfg;
cfg.run = 1;
cfg.er_type = 'randback';   % random selection of trajectory, transitions in backward order
cfg.er_N = 1000;
syscfg = struct;
syscfg.rewtype = 'vectorfield';
syscfg.xjoints = [2 3];
syscfg.fixjoints = [4 5];
cfg.system_params = {syscfg};
cfg.approx = 'enhanced type=rbfdisc N=[11,5,11,5] M=3';
cfg.datafile = 'test_edro_rtapproxqlearn_circ_jnt2x3_N11x5x11x5_er';
rtapproxqlearn(cfg);
