%% Init

clear all
hwinit;
joint = [1 5];                  % index of joint(s) to be controlled
                                % (1 = base, 2 = shoulder, etc.), can be a vector too
ny = 2;                         % number of features

%% Constants, flags and file names
h  = 0.01;                      % sampling time [s]
hc = 0.03;                      % sampling time of camera [s]
simflag = 0;                    % set to 1 for simulation, 0 for real time
simfile = 'robot_pid';          % simulated controller (Simulink)   
rtfile = 'rtrobot_pid';         % real-time controller (Simulink)   

%% from step response
tau = 0.15;
km = 5;

tau = 0.06;             % wrist
km = 5;
tau = 0.025;           % wrist rotation
km = 4.5;

%% Design parameters
w = 12;
z = .9;
refmod = tf(w^2,[1 2*z*w w^2]);

%% Compute controller gains
Kp = tau*w^2/km;
Kd = (2*z*w*tau - 1)/km;
Ki = 0;

Kp = [0.4 2];
Kd = [0.3 0.1];
Ki = [0.1 0.1];
 
for i = 1 : length(joint),
    Gder(i,i) = -tf([1 0],[0.02 1]);
    Gder1(i,i) = -tf([1 0],[0.01 1]);
    Fref(i,i) = -tf(1,[0.01 1]);
end;
