function hc_fzqi_resstudy(exper, mode, cfg)
% Hillcar resolution study
% Note: the "hillcar_XXXxXXX_fuzzy" experiment in this folder was NOT run with this file,
% instead was run from the command line. 
% See e.g., D:\Work\tex\papers\ifac08\img\make_ifac08_plots.m for how to handle this experiment.

% Note for now only 2 data files are stored, one with ignored terminal state
% and another for zeroed Q-values in terminal states
% This is for the purpose of comparing the two sets of results

% What experiments to process and in what mode (defaults)
if nargin < 1, exper = 'termzero'; end;
if nargin < 2, mode = 'run'; end;
if nargin < 3, cfg = struct; end;


% default (main) CFG
CFG = struct;
CFG.(mode) = 1;
CFG.problem = 'hillcar_problem';
CFG.gamma = 0.95;
CFG.N = 3:50;
CFG.M = 2;              % only 2 actions throughout
CFG.maxiter = 2000;
CFG.eps = 1e-5;
% perf eval config
CFG.X0 = 'posspeed';
CFG.mc_eps = 0.001;
CFG.datadir = [pwd '\'];
% install any non-default config; preserve the default
cfg = parseconfig(cfg, CFG);

% run the experiments

ecfg = cfg;
ecfg.dfinfix = 'termignore';
ecfg.term = 'ignore';
if checkrunexp('termignore', exper), qiresstudy(ecfg); end;

ecfg = cfg;
ecfg.dfinfix = 'termzero';
ecfg.term = 'zero';
if checkrunexp('termzero', exper), qiresstudy(ecfg); end;

end