%% Tree reuse
op_enhancements_ip('return', 'detnoreuse');
op_enhancements_ip('return', 'detreusetree', 'addtocrt=1 plotindex=2');
saveplot(gcf, 'img_ip_op_detreusetree_return', 'beamer');

op_enhancements_ip('plantime', 'detnoreuse');
op_enhancements_ip('plantime', 'detreusetree', 'addtocrt=1 plotindex=2');
saveplot(gcf, 'img_ip_op_detreusetree_plantime', 'beamer');

%% Influence of memory reuse, with varying Lipschitz constant
figh1 = figurex([700 700]);
figh2 = figurex([700 700]);
lip = [0.01 0.1 0.5 1 5];
for i = 1:length(lip),
    figure(figh1);
    subplot(2, 3, i);
    op_enhancements_ip('return', 'detnoreuse', 'addtocrt=1 plotindex=1');
    op_enhancements_ip('return', 'detlip', 'addtocrt=2 plotindex=2 in=planparamsn', '', ...
        struct('lipschitz', lip(i)));
    title(sprintf('L=%.2f', lip(i)));
    %
    figure(figh2);
    subplot(2, 3, i);
    op_enhancements_ip('plantime', 'detnoreuse', 'addtocrt=1 plotindex=1');
    op_enhancements_ip('plantime', 'detlip', 'addtocrt=2 plotindex=2 in=planparamsn', '', ...
        struct('lipschitz', lip(i)));
    title(sprintf('L=%.2f', lip(i)));
end;
saveplot(figh1, 'img_ip_opd_detusemem_lipschitz_return', 'beamer');
saveplot(figh2, 'img_ip_opd_detusemem_lipschitz_plantime', 'beamer');


%% Show variation with memory size, along n and FOR EACH MEMORY SIZE
figh1 = figurex([700 700]);
figh2 = figurex([700 700]);
memsize = [0 .25 .5 1 2]; rep = 1;
for i = 1:length(memsize),
    figure(figh1);
    subplot(2, 3, i);
    op_enhancements_ip('return', 'detnoreuse', 'addtocrt=1 plotindex=1');
    op_enhancements_ip('return', 'detmemsize', 'addtocrt=1 plotindex=2 in=planparamsn', '', ...
        struct('mem_maxsize', memsize(i)));
    title(sprintf('maxmemsize=%.2f', memsize(i)));
    %
    figure(figh2);
    subplot(2, 3, i);
    op_enhancements_ip('plantime', 'detnoreuse', 'addtocrt=1 plotindex=1');
    op_enhancements_ip('plantime', 'detmemsize', 'addtocrt=1 plotindex=2 in=planparamsn', '', ...
        struct('mem_maxsize', memsize(i)));
    title(sprintf('maxmemsize=%.2f', memsize(i)));
end;
saveplot(figh1, 'img_ip_opd_usemem_memsize-eachsize_return', 'beamer');
saveplot(figh2, 'img_ip_opd_usemem_memsize-eachsize_plantime', 'beamer');

% 
% %% Show variation with memory size, along memsize and FOR EACH N
% figh1 = figurex([700 700]);
% figh2 = figurex([700 700]);
% n = [500 1000 2000 4000]; rep = [6 6 6 6];
% for i = 1:length(n),
%     figure(figh1);
%     subplot(2, 2, i);
%     opd_enhancements_ip('return', 'memsize', ...
%         sprintf('addtocrt=1 plotindex=2 repeat=%d in=planparamsmem_maxsize', rep(i)), ...
%         '', ...
%         struct('n', n(i)));
%     title(sprintf('n=%d', n(i)));
%     %
%     figure(figh2);
%     subplot(2, 2, i);
%     opd_enhancements_ip('plantime', 'memsize', ...
%         sprintf('addtocrt=1 plotindex=2 repeat=%d in=planparamsmem_maxsize', rep(i)), ...
%         '', ...
%         struct('n', n(i)));
%     title(sprintf('n=%d', n(i)));
% end;
% saveplot(figh1, 'img_ip_opd_usemem_memsize-eachn_return', 'beamer');
% saveplot(figh2, 'img_ip_opd_usemem_memsize-eachn_plantime', 'beamer');
